routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Route::resource('products','ProductsController');

app/Products.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Products extends Model
{

    protected $fillable = [
        'name', 'short', 'body',
    ];

}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/ProductsController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests\ProductsRequest;

use App\Products;
class ProductsController extends Controller
{
    public function index(){
    	$products  = Products::orderBy('id','DESC')->paginate(15);

    	return view('products.index',compact('products'));
    }

    public function create(){
    	return view('products.create');	
    }

    public function store(ProductsRequest $request){
    	$product = new Products();

    	$product->name  = $request->name;

    	$product->short = $request->short;

    	$product->body 	= $request->body;

    	$product->save();

    	return redirect()->route("products.index")
    					 ->with('info','El producto fue guardado');
    }
    
    public function edit($id){
    	$product = Products::find($id);

    	return view('products.edit',compact('product'));	
    }

    public function update(ProductsRequest $request,$id){

    	$product = Products::find($id);

    	$product->name  = $request->name;

    	$product->short = $request->short;

    	$product->body 	= $request->body;

    	$product->save();

    	return redirect()->route("products.index")
    					 ->with('info','El producto fue actualizado');
    }
    
    public function show($id){
    	$product = Products::find($id);

    	return view('products.show',compact('product'));	
    }
    
    public function delete($id){
    	$product = Products::find($id);

    	return view('products.show',compact('product'));	
    }

    public function destroy($id){
    	$product = Products::find($id);

    	$product->delete();

    	return back()->with('info','El producto fue eliminado');	
    }
}

resources/views/layout.blade.php
<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<title>APP </title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css"  href="{!! asset('font-awesome/css/font-awesome.min.css') !!}">
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
</head>
<body>
	<div class="container">
		<div class="row">
			<div class="col-12">
				<h1 class="page-header text-center">
					CRUD laravel 5.4
				</h1>
				<hr>
			</div>
			@yield('content')
		</div>
	</div>
	
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js"></script>
</body>
</html>

resources/views/products/create.blade.php
@extends('layout')

@section('content')
	<div class="col-8">
		<h2>
			Nuevo producto
			<a class="btn btn-primary pull-right" href="{!! route('products.index') !!}">
				<i class="fa fa-list-ul"></i>
				Listado
			</a>
		</h2>	
		{!! Form::open(['route' => 'products.store']) !!}
	
			@include('products.partials.form')

		{!! Form::close() !!}
		@include('products.partials.error')
	</div>
	<div class="col-4">
		@include('products.partials.aside')
	</div>
@endsection

resources/views/products/edit.blade.php
@extends('layout')

@section('content')
	<div class="col-8">
		<h2>
			Editar el producto {!! $product->name  !!}
			<a class="btn btn-primary pull-right" href="{!! route('products.index') !!}">
				<i class="fa fa-list-ul"></i>
				Listado
			</a>
		</h2>	
		{!! Form::model($product,[ 
				'route'		=> ['products.update',$product->id],
				'method'	=> 'PUT'
			]) 
		!!}

			@include('products.partials.form')

		{!! Form::close() !!}
		
		@include('products.partials.error')
	</div>
	<div class="col-4">
		@include('products.partials.aside')
	</div>
@endsection

resources/views/products/index.blade.php
@extends('layout')

@section('content')
	<div class="col-8">
		<h2>
			Listado de productos
			<a class="btn btn-primary pull-right" href="{!! route('products.create') !!}">
				<i class="fa fa-plus"></i>
				Nuevo
			</a>
		</h2>	
		@include('products.partials.info')
		<table class="table table-hover table-striped table-sm">
			<thead>
				<th>ID</th>
				<th>Nombre</th>
				<th colspan="3">&nbsp;</th>
			</thead>
			<tbody>
				@foreach($products as $product)
					<tr>
						<td>{!! $product->id !!}</td>
						<td>
							<strong>{!! $product->name !!}</strong>
							{!! $product->short !!}
						</td>
						<td>
							<a href="{!! route('products.show',$product->id) !!}" class="btn btn-link">
								Ver
							</a>
						</td>
						<td>
							<a href="{!! route('products.edit',$product->id) !!}" class="btn btn-link">
								Editar
							</a>
						</td>
						<td>
							<form action="{!! route('products.destroy',$product->id) !!}" method="POST">
								{{ csrf_field() }}
								<input type="hidden" name="_method" value="DELETE">	
								<button class="btn btn-link">
									Eliminars
								</button>	
							</form>
						</td>
					</tr>
				@endforeach
			</tbody>
		</table>
		{!! $products->render() !!}
	</div>
	<div class="col-4">
		@include('products.partials.aside')
	</div>
@endsection

resources/views/products/partials/aside.blade.php
<p class="alert alert-info">
	Desde aqui podemos crear, eliminar, listar y editar los productos...
</p>

resources/views/products/partials/error.blade.php
@if(count($errors))

	<div class="alert alert-danger" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
    		<span aria-hidden="true">&times;</span>
  		</button>
  		<ul>
  			@foreach($errors->all() as $error)
  				<li>{!!  $error !!}</li>
  			@endforeach
  		</ul>
	</div>

@endif

resources/views/products/partials/form.blade.php
<div class="form-group">
	{!! Form::label('name','Nombre del producto') !!}
	{!! Form::text('name',null,['class'=>'form-control']) !!}
</div>

<div class="form-group">
	{!! Form::label('short','Descripcion breve del producto') !!}
	{!! Form::text('short',null,['class'=>'form-control']) !!}
</div>

<div class="form-group">
	{!! Form::label('body','Descripcion del producto') !!}
	{!! Form::textarea('body',null,['class'=>'form-control']) !!}
</div>

<div class="form-group">
	<button class="btn btn-danger">
		Enviar
	</button>
</div>

resources/views/products/partials/info.blade.php
@if(Session::has('info'))

	<div class="alert alert-info" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
    		<span aria-hidden="true">&times;</span>
  		</button>
  		{!! Session::get('info') !!}
	</div>

@endif

resources/views/products/show.blade.php
@extends('layout')

@section('content')
	<div class="col-8">
		<h2>
			{!! $product->name  !!}
			<a class="btn btn-primary pull-right" href="{!! route('products.edit',$product->id) !!}">
				<i class="fa fa-pencil"></i>
				Editar
			</a>
		</h2>	
		<p>
			{!! $product->short !!}
		</p>
		{!! $product->body !!}
	</div>
@endsection